import request from '@/utils/request'

// 查询当前用户的所有备注（Map格式）
export function getRemarksMap() {
  return request({
    url: '/system/message/remark/map',
    method: 'get'
  })
}

// 查询备注详情
export function getRemarkInfo(targetUserId) {
  return request({
    url: '/system/message/remark/' + targetUserId,
    method: 'get'
  })
}

// 设置备注
export function setRemark(data) {
  return request({
    url: '/system/message/remark/set',
    method: 'post',
    data: data
  })
}

// 删除备注
export function delRemark(targetUserId) {
  return request({
    url: '/system/message/remark/' + targetUserId,
    method: 'delete'
  })
}
